Bug 514712 - augparse is very unhappy with DOS line endings in lens files
augparse is very unhappy with DOS line endings in lens files
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-30 08:55 EDT by Daniel Berrange
Modified: 2013-04-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 18:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File demonstrating the problem (6.65 KB, text/plain)
2009-07-30 09:07 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2009-07-30 08:55:59 EDT
Description of problem:
I grabbed an augeas lens off pastebin and it happened to be in DOS line ending format.

augparse complains bitterly about this

./xorg.aug:33:0: Unexpected character 
./xorg.aug:34:0: Unexpected character 
./xorg.aug:35:12: Unexpected character 
./xorg.aug:36:11: Unexpected character 
./xorg.aug:37:0: Unexpected character 
./xorg.aug:40:1: Unexpected character 
./xorg.aug:41:0: Unexpected character 
./xorg.aug:42:29: Unexpected character 
./xorg.aug:43:0: Unexpected character 
./xorg.aug:44:17: Unexpected character 
./xorg.aug:45:14: Unexpected character 
./xorg.aug:46:0: Unexpected character 
./xorg.aug:47:20: Unexpected character 
./xorg.aug:48:14: Unexpected character 
./xorg.aug:49:0: Unexpected character 
./xorg.aug:50:21: Unexpected character 
./xorg.aug:51:14: Unexpected character 
./xorg.aug:52:0: Unexpected character 
./xorg.aug:53:19: Unexpected character 
./xorg.aug:54:14: Unexpected character 
./xorg.aug:55:0: Unexpected character 
./xorg.aug:56:0: Unexpected character 
./xorg.aug:57:21: Unexpected character 
./xorg.aug:58:0: Unexpected character 
./xorg.aug:59:21: Unexpected character 
./xorg.aug:60:14: Unexpected character 
./xorg.aug:61:0: Unexpected character 
./xorg.aug:62:24: Unexpected character 
./xorg.aug:63:31: Unexpected character 
./xorg.aug:64:0: Unexpected character 
./xorg.aug:65:0: Unexpected character 
./xorg.aug:66:28: Unexpected character 
./xorg.aug:67:0: Unexpected character 
./xorg.aug:68:24: Unexpected character 
./xorg.aug:69:18: Unexpected character 
./xorg.aug:70:0: Unexpected character 
./xorg.aug:71:30: Unexpected character 
./xorg.aug:72:40: Unexpected character 
./xorg.aug:73:0: Unexpected character 
./xorg.aug:74:0: Unexpected character 
./xorg.aug:79:1: Unexpected character 
./xorg.aug:80:20: Unexpected character 
./xorg.aug:81:0: Unexpected character 
./xorg.aug:82:25: Unexpected character 
./xorg.aug:83:50: Unexpected character 
./xorg.aug:84:0: Unexpected character 
./xorg.aug:85:22: Unexpected character 
./xorg.aug:86:31: Unexpected character 
./xorg.aug:87:0: Unexpected character 
./xorg.aug:88:0: Unexpected character 
./xorg.aug:89:0: Unexpected character 
./xorg.aug:92:1: Unexpected character 
./xorg.aug:93:0: Unexpected character 
./xorg.aug:94:0: Unexpected character 
./xorg.aug:97:1: Unexpected character 
./xorg.aug:98:36: Unexpected character 
./xorg.aug:99:63: Unexpected character 


Running  'dos2unix xorg.aug'  stops it complaining.

It would seem reasonable for augeas itself to allow for DOS line endings though



Version-Release number of selected component (if applicable):
augeas-0.5.1-1.fc11.i586

How reproducible:
Always with dos line endings

Steps to Reproduce:
1. Run augparse on a file with DOS line endings
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2009-07-30 09:07:33 EDT
Created attachment 355669 [details]
File demonstrating the problem
Comment 2 David Lutterkort 2009-08-05 18:45:07 EDT
Fixed by commit 9cc90c4 upstream

Note You need to log in before you can comment on or make changes to this bug.